export function getCategories({ app, params }: {
    app: any;
    params: any;
}): any;
export function getCategory({ app, type, params }: {
    app: any;
    type: any;
    params: any;
}): any;
export function getData({ source, app, params }: {
    source: any;
    app: any;
    params: any;
}): any;
export function getCustomPosts({ postType, taxonomy, category, taxonomyFilters, before, perPage, page, locale, after, ordering, orderingDirection }: {
    postType: any;
    taxonomy: any;
    category: any;
    taxonomyFilters: any;
    before: any;
    perPage: any;
    page: any;
    locale: any;
    after: any;
    ordering: any;
    orderingDirection: any;
}): Promise<unknown>;
